package com.seeyon.apps.ydctu8c;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.ydctu8c.constants.U8cConstants;


public class U8cPluginApi extends APluginInfoApi {
    public U8cPluginApi() {
    }

    public String getPluginId() {
        System.out.println(U8cConstants.getPluginId());
        return U8cConstants.getPluginId();
    }

    public String getCreateUser() {
        return "橙阳科技";
    }

    public String getDescription() {
        return "U8C集成管理";
    }

    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        U8cConstants[] var2 = U8cConstants.values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            U8cConstants value = var2[var4];
            if (value != U8cConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }

        return configVo;
    }

//    public void registerCustomEvent(Map eventAndNodes) {
//        eventAndNodes.put("propertyDispose", "资产管理待办推送");
//    }
}

